// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../core/validation/ValidatedArgs";
import FormatValidation from "../FormatValidation";
export default class CancelCouponRequest extends ValidatedRequest {
    securityId;
    couponId;
    constructor({ securityId, couponId }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
        });
        this.securityId = securityId;
        this.couponId = couponId;
    }
}
